Subject: Re: [PATCH] net: wireless: prefix header search paths with $(srctree)/

From: Kalle Valo <[email-masked]>
Date: Mon, 28 Jan 2019 10:21:31 +0200

Masahiro Yamada <[email-masked]> writes:

> Currently, the Kbuild core manipulates header search paths in a crazy
> way [1].
>
> To fix this mess, I want all Makefiles to add explicit $(srctree)/ to
> the search paths in the srctree. Some Makefiles are already written in
> that way, but not all. The goal of this work is to make the notation
> consistent, and finally get rid of the gross hacks.
>
> Having whitespaces after -I does not matter since commit 48f6e3cf5bc6
> ("kbuild: do not drop -I without parameter").
>
> I also removed one header search path in:
>
>   drivers/net/wireless/broadcom/brcm80211/brcmutil/Makefile
>
> I was able to compile without it.
>
> [1]: https://patchwork.kernel.org/patch/9632347/
>
> Signed-off-by: Masahiro Yamada <[email-masked]>
> ---
>
>  drivers/net/wireless/broadcom/brcm80211/brcmfmac/Makefile | 4 ++--
>  drivers/net/wireless/broadcom/brcm80211/brcmsmac/Makefile | 6 +++---
>  drivers/net/wireless/broadcom/brcm80211/brcmutil/Makefile | 4 +---
>  drivers/net/wireless/intel/iwlwifi/dvm/Makefile           | 2 +-
>  drivers/net/wireless/intel/iwlwifi/mvm/Makefile           | 2 +-
>  drivers/net/wireless/realtek/rtl818x/rtl8180/Makefile     | 2 +-
>  drivers/net/wireless/realtek/rtl818x/rtl8187/Makefile     | 2 +-
>  7 files changed, 10 insertions(+), 12 deletions(-)

Luca, is it ok if I take this to wireless-drivers-next even though it
touches iwlwifi makefiles?

-- 
Kalle Valo